Zum Hauptinhalt springen

Request a new avatar upload for the customer profile

POST/v2/customers/{customerId}/avatar
API-Version
v2
Request-Methode
POST
Operation-ID
customer-request-avatar-upload

Request​

  • customerIdstringrequired

    The uuid of the customer for whom an avatar upload is to be requested

Responses​

Format
application/json
Beschreibung

Avatar request was successful. Use the refId to upload your avatar to the file service.

  • refIdstring (uuid)required
  • rulesobjectrequired
    • maxSizeInKBintegerrequired
    • mimeTypesArray von stringrequired
      • Array[
        • *string
        ]
    • propertiesobject
      • imageDimensionsobject
        • maxobject
          • heightinteger
          • widthinteger
        • minobject
          • heightinteger
          • widthinteger
Content-Type: application/json

{
"refId": "f0f86186-0a5a-45b2-aa33-502777496347",
"rules": {
"maxSizeInKB": 123,
"mimeTypes": [
"string"
],
"properties": {
"imageDimensions": {
"max": {
"height": 123,
"width": 123
},
"min": {
"height": 123,
"width": 123
}
}
}
}
}
{
"properties": {
"refId": {
"format": "uuid",
"type": "string"
},
"rules": {
"properties": {
"maxSizeInKB": {
"type": "integer"
},
"mimeTypes": {
"items": {
"type": "string"
},
"type": "array"
},
"properties": {
"properties": {
"imageDimensions": {
"properties": {
"max": {
"properties": {
"height": {
"type": "integer"
},
"width": {
"type": "integer"
}
},
"type": "object"
},
"min": {
"properties": {
"height": {
"type": "integer"
},
"width": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "object"
}
},
"type": "object"
}
},
"required": [
"mimeTypes",
"maxSizeInKB"
],
"type": "object"
}
},
"required": [
"refId",
"rules"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/customers/string/avatar
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.customer.requestAvatarUpload({
"customerId": "string",
"data": {}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Customer\RequestAvatarUpload\RequestAvatarUploadRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Customer\RequestAvatarUpload\RequestAvatarUploadRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// RequestAvatarUploadRequestBody to learn how to construct a valid instance
$body = new RequestAvatarUploadRequestBody(/* TODO: ... */);

$request = (new RequestAvatarUploadRequest(
customerId: "string",
body: $body
));
$response = $client->customer()->requestAvatarUpload($request);

var_dump($response->getBody();

Auf dieser Seite